Subject: Re: [Roll] draft-ietf-roll-applicability-ami-13.txt

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Thu, 9 Jun 2016 04:15:01 +0000

Hi Sue,

Many thanks for the careful review...we will of course address the editorial nits and have further comments below:

From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Date: Thursday, May 5, 2016 at 1:46 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: 'Joel jaeggli' <[email-masked]<mailto:[email-masked]>>, 'Gunter Van De Velde' <[email-masked]<mailto:[email-masked]>>, "Benoit Claise (bclaise)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-roll-applicability-ami-13.txt

Nancy, Jonathan, Daniel:

I have reviewed this document as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG.  These  comments were written with the intent of improving the operational aspects of the
IETF drafts. Comments that are not addressed in last call may be included in AD reviews during the IESG review.  Document editors and WG chairs should treat these comments just like any other last call comments.

Status of draft:  Ready for publication.   A few editorial nits found

Editorial nits:

#1 p 7 in 4.1 paragraph 1

Old/the frequency of large file transfers, e.g., firmware download of all metering devices, is typically much lower than the frequency of sending configuration messages or queries. /

New / Old/the frequency of large file transfers (e.g., firmware download of all metering devices) is typically much lower than the frequency of sending configuration messages or queries. /

Why: use of the (e.g..... ) should be common across paragraph.

[NCW]  I've made the edit for the next revision per your suggestion and to keep consistency.

#2 p. 11 Concerned about RFCs text in 7.1.3

"Additional metrics may be defined in companion RFCs."
Editorial comment:  Is this really a statement for an RFCs?  This sentence may be sufficient, but it seemed a bit odd.

[NCW+DP]  The working group decided that this was needed as this is still an evolving system, it was felt that the metrics would continue to evolve and thus the ones defined in RFC6551 would be a start; with the expectation that more would follow.

#3 p. 12 section 7.1.4 - same statement as in 7.1.3

[NCW+DP] As this is related to 7.1.3, the same logic applies

#4 p. 14 section 7.2.2 paragraph 3

Starting with "These include: Timetimeslotslotted channel... "

Editorial comment: It would be wiser to use a hanging text for this list.

Old/
   These include: Timetimeslotslotted channel hopping
   (TSCH), specifically designed for application domains such as process
   automation, Low latency deterministic networks (LLDN), for
   application domains such as factory automation, Deterministic and
   synchronous multi-channel extension (DSME), for general industrial
   and commercial application domains that includes Channel diversity to
   increase network robustness, and Asynchronous multi-channel
   adaptation (AMCA), for large infrastructure application domains.
/
New
These include:

·         Timetimeslotslotted channel hopping  (TSCH):   specifically designed for application domains such as process

automation,

·         Low latency deterministic networks (LLDN):   for   application domains such as factory automation,

·          Deterministic and synchronous multi-channel extension (DSME):  for general industrial and commercial application domains that includes Channel diversity to increase network robustness, and

·         Asynchronous multi-channel adaptation (AMCA):  for large infrastructure application domains.
/
 [NCW] Done.